/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable;

public enum DateTimeFormat {
	UNDEFINED_FORMAT(-1), TIME_FULL(0), TIME_LONG(1), TIME_MEDIUM(2), TIME_SHORT(
			3), DATE_FULL(4), DATE_LONG(5), DATE_MEDIUM(6), DATE_SHORT(7), DATE_TIME_FULL(
			8), DATE_TIME_LONG(9), DATE_TIME_MEDIUM(10), DATE_TIME_SHORT(11);

	private int format;

	private DateTimeFormat(int format) {
		this.format = format;
	}

	public int getFromat() {
		return format;
	}

}
